/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.errors;
import java.lang.*;
import scalasca.cubex.cube.MetricType;



/*
 * Class , delivers file structure of CubeX
 *
 */
public class UnknownMetricTypeException extends Exception
{
	public UnknownMetricTypeException(MetricType metricType)
	{
		super(  "Unknown type of metric: " + metricType.toString() +
			". Supported are ony "+MetricType.INCLUSIVE + " and "+MetricType.EXCLUSIVE
			);
	}
}
