/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.errors;
import java.lang.*;

/*
 * Class , delivers file structure of CubeX
 * 
 */
public class WrongNumberOfValueParametersException extends BadCubeReportLayoutException
{
    public WrongNumberOfValueParametersException(int is_number, int expect_number, String title) 
    { 
        super("Data type " + title +" expects " + expect_number + " parameters in the paramater list, but got " +  is_number); 
    }
}

