/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube;
import java.lang.*;
import java.util.*;
/*
 * Class , delivers file structure of CubeX
 * 
 */
public class NamedVertex extends Vertex
{

    protected String name = "";
//     @SuppressWarnings("unchecked")
    public NamedVertex(String _name) { super(0); name = _name; }
    public NamedVertex(int _id, String _name) {super(_id); name = _name; }
    public NamedVertex(int _id, String _name, Vertex _parent) {super(_id, _parent); name = _name; }

    public String getName()
    {
	return name;
    }

    public void setName( String _name)
    {
	name = _name;
    }


}
