/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube;
import java.lang.*;
/*
 * Class , delivers file structure of CubeX
 * 
 */
public class Region extends NamedVertex
{
    protected String mangled_name;
    protected String paradigm;
    protected String role;
    protected int startln;
    protected int endln;
    protected String mod;
    protected String source;
    protected String description;


//     @SuppressWarnings("unchecked")	
    public Region() { super("Region"); }
    public Region(int _id, String _name, String _mangled_name, String _paradigm, String _role, int _startln, int _endln, String _mod, String _source, String descr) { super(_id, _name);  mangled_name=_mangled_name;  paradigm=_paradigm; role = _role; source=_source; startln = _startln; endln = _endln; descr = description; }

    public String getMangledName()
    {
	return mangled_name;
    }

    public String getSource()
    {
	return source;
    }

    public String getParadigm()
    {
    return paradigm;
    }
    
    public String getRole()
    {
    return role;
    }
    
    public String getMod()
    {
	return mod;
    }

    public int  getStartln()
    {
	return startln;
    }

    public int getEndln()
    {
	return endln;
    }
    public String getDescription()
    {
	return description;
    }

}
