/****************************************************************************
**  CUBE        http://www.scalasca.org/                                   **
*****************************************************************************
**  Copyright (c) 1998-2016                                                **
**  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          **
**                                                                         **
**  Copyright (c) 2009-2015                                                **
**  German Research School for Simulation Sciences GmbH,                   **
**  Laboratory for Parallel Programming                                    **
**                                                                         **
**  This software may be modified and distributed under the terms of       **
**  a BSD-style license.  See the COPYING file in the package base         **
**  directory for details.                                                 **
****************************************************************************/



package scalasca.cubex.cube.cubeparser;
import scalasca.cubex.cube.*;
import java.util.HashMap;
import java.util.Map;

public class SystemTreeNodeContext
{
	public int id= -1;
	public String name = "";
	public String description = "";
	public String stn_class = "";
	public SystemTreeNode stn = null;
    public Map<String, String> attributes = new HashMap<String, String> ();

	SystemTreeNodeContext() {};

	public String toString()
	{

		return
			"ID: " + id + "\t" +
			"Name: " + name  + "\t" +
			"Description: " + description + "\t" + 
			"Class: " + stn_class + "\t"
			;
	}
}